# Gift Notices Gift Notices ## Gets all of the gift notices in the system. - [GET /giftNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/listgiftnotices.md): This method will scan all gift notices and and return them to the caller. ## Creates a new gift notice record that does not already exist. - [POST /giftNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/creategiftnotice.md): This method will auto-generate an ID and create a new gift notice. If an ID is specified for the gift notice, an error will be thrown. ## Returns a gift notice from the system by its ID. - [DELETE /giftNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/deletegiftnotice.md): This method will delete a gift notice with the specified ID. ## Returns a gift notice from the system by its ID. - [GET /giftNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/getgiftnotice.md): This method will look up a gift notice by the specified ID and return it back. ## Partially updates a gift notice with the specified ID. - [PATCH /giftNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/patchgiftnotice.md): This method will patch an existing gift notice with the specified ID, using the HTTP PATCH specification. ## Updates a gift notice with the specified ID. - [PUT /giftNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/gift-notices/updategiftnotice.md): This method will update an existing gift notice with the specified ID.